"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const LiteBlock_1 = require("../../src/base-objects/blocks/LiteBlock");
const chai_1 = require("chai");
describe("Lite block base test ", function () {
    let block;
    let height = 0;
    before(async function () {
        block = new LiteBlock_1.LiteBlock({ hash: "2579f72f3f80f68b02767c44024d697826af787776b58", number: 0 });
    });
    it("Should get block", async function () {
        (0, chai_1.expect)(block).to.not.eq(undefined);
    });
    it("Should get block number ", async function () {
        (0, chai_1.expect)(block.number).to.eq(height);
    });
    it("Should get block hash ", async function () {
        (0, chai_1.expect)(block.blockHash).to.eq("2579f72f3f80f68b02767c44024d697826af787776b58");
    });
    it("Should get block standard hash ", async function () {
        (0, chai_1.expect)(block.stdBlockHash).to.eq("2579f72f3f80f68b02767c44024d697826af787776b58");
    });
    it("Should get block timestamp ", async function () {
        (0, chai_1.expect)(block.unixTimestamp).to.eq(0);
    });
    it("Should get transaction ids ", async function () {
        (0, chai_1.expect)(block.transactionIds.length).to.eq(0);
    });
    it("Should get transaction standard ids ", async function () {
        (0, chai_1.expect)(block.stdTransactionIds.length).to.eq(0);
    });
    it("Should get transaction count ", async function () {
        (0, chai_1.expect)(block.transactionCount).to.eq(0);
    });
});
//# sourceMappingURL=liteBlock.test.js.map